Activate an order for an account

Activate a recently placed order for your account. This requires prior verification with BankID and that your account is registered in Sweden. The call returns an orderId that can be used to call POST /api/hostbill/webhooks.

Billing & Orders Billing

Context

Workflow links

Headers

Accept Example
Content-Type Example

Body

required
application/json
orderId string required · Example: 40000

Responses

200
data object required
data.message string required · Example: Order activated successfully

Human-readable message.

data.orderId string required · Example: 40000
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

403
code string required · Example: FORBIDDEN

Machine-readable error code.

error string required · Example: Forbidden

HTTP status title (e.g. 'Bad Request').

message string required · Example: BankID verification required to activate order

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/account/activate-order
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/account/activate-order" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "orderId": "40000"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "Order activated successfully",
    "orderId": "40000"
  }
}
Request Body Example 1
{
  "orderId": "40000"
}